Blog Mijn Hosting Partner

Websites die PHP 5 draaien zijn over enkele maanden onveilig

Illustratie door Webdesign

Websites die PHP 5 draaien zijn over enkele maanden onveilig

Websites die gebruik maken an PHP 5 zijn binnenkort onveilig, dit komt omdat vanaf 31 december 2018 PHP geen beveiligings-support meer gaat leveren voor PHP5. Als jij een eigen website of Hosting hebt is de kans groot dat je gebruik maakt van PHPNamelijk 78.9 procent van alle website gebruiken PHP waarvan er 61.8 procent nog gebruik maakt van PHP 5.Omdat PHP 5 nog veel gebruikt wordt kan dit grote gevolgen hebben voor jou website.

Alles bijwerken, hoe doe ik dat?

Het begin van 2019 kan dus moeilijk beginnen als jij nog gebruik maakt van PHP 5.Als je nog gebruik maakt van een oudere website of oudere PHP versie is dit natuurlijk wel even schrikken.Je moet dan je website, thema's en plug-ins allemaal bijwerken, dit kan ontzettend veel tijd gaan kosten.

Als je gebruik maakt van WordPress dan bieden wij de ideale oplossing hiervoor.Je kan namelijk gebruik maken van Managed WordPress Hosting.Dit zorgt er namelijk voor dat alles bijgehouden wordt, je thema's, plug-ins en WordPress zelf natuurlijk.Het bespaart je niet alleen veel tijd maar ook nog eens moeite.

Andere voordelen van PHP 7

Het bijwerken van jou website en PHP versie en website heeft niet alleen voordelen voor de veiligheid van jou Hosting.De snelheid wordt er namelijk ook veel beter op.Dit is een heel belangrijk onderdeel van jou website omdat de snelheid van jou website ook de invloed op de bezoekers heeft.Als je website niet snel is dan loop je namelijk kans om klanten mis te lopen.Vooral voor de mobiele versie van jou website is dit erg belangrijk, dit komt omdat merendeel van de bezoekers je website op hun telefoon zullen bezoeken.

Je database verbinden

Waar je echter wel rekening mee moet houden is de manier waarop je met je database verbind.De mysql(); functies werken namelijk niet meer met PHP 7 omdat dit onveilig is. Je kan hiervoor PDO gebruiken om op een veilige manier verbinding te maken met je database. Mocht je verder nog vragen hebben over PHP 5 en de ondersteuning hiervan dan kun je altijd kijken of er een chat medewerker beschikbaar is.Indien er geen chat medewerker aanwezig is kun je natuurlijk altijd een ticket aanmaken richting onze helpdesk.